# Class CIM_DirectorySpecificationFile

The CIM_DirectorySpecificationFile association identifies the directory that contains the file being checked in the CIM_ FileSpecification class.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_DirectorySpecificationFile

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | The CIM_DirectorySpecificationFile association identifies the directory that contains the file being checked in the CIM_ FileSpecification class.
UMLPackagePath | string | CIM::Application::CheckAction
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
DirectorySpecification | CIM_DirectorySpecificationFile | CIM_DirectorySpecification
FileSpecification | CIM_DirectorySpecificationFile | CIM_FileSpecification

## Class Methods